using HarmonyLib;
using RimWorld;
using System.Collections.Generic;
using Verse;

namespace StorageTweaks
{
    //public override IEnumerable<InspectTabBase> GetInspectTabs()
    [HarmonyPatch(typeof(Zone_Stockpile))]
    [HarmonyPatch("GetInspectTabs")]
    public static class Zone_Stockpile_GetInspectTabs_Patch
    {

        [HarmonyPostfix]
        public static void GetInspectTabs_Postfix(ref Zone_Stockpile __instance, ref IEnumerable<InspectTabBase> __result)
        {
            __result = new List<InspectTabBase>(__result).AddItem(StorageTweaks.inspectorTab);
        }

    }

    //public override void ExposeData()
    [HarmonyPatch(typeof(Zone_Stockpile))]
    [HarmonyPatch("ExposeData")]
    public static class Zone_Stockpile_ExposeData_Patch
    {

        [HarmonyPostfix]
        public static void ExposeData_Postfix(Zone_Stockpile __instance)
        {
            StorageTweaksData data = StorageTweaks.registry.data(__instance);
            data.ExposeData();
        }

    }
}